subroutine gen_M()
use work
! Genereaza matricea de masa M(ngl, ngl)
implicit real(8) (a-h, o-z)
real(8) m0
real(8) NO

! ngl =6
M =0.

NO =10	! nr. de ordine

m0= 400D0	! kN*sec2/m

do i =1,ngl
m(i,i) =m0 +(8D0-i)*NO
enddo

END subroutine gen_M
